"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var adjectives_1 = require("./words/adjectives");
var animals_1 = require("./words/animals");
var colors_1 = require("./words/colors");
/**
 * @Method: Returns a three-word passphrase with a separator string
 * between each word - order is adjective-color-animal
 * @param {string} [sep = ' '] - The separator charatcter
 * @param {string} [prevent = ''] - a matching string used
 * to prevent (very unlikely) duplicate results
 * @Return {string}
 */
function phrase(sep, prevent) {
    if (sep === void 0) { sep = ' '; }
    if (prevent === void 0) { prevent = ''; }
    var result = "" + adjective() + sep + color() + sep + animal();
    if (result !== prevent) {
        return result;
    }
    else {
        phrase(sep, prevent);
    }
}
exports.phrase = phrase;
/**
 * @Method: Returns a random adjective from the words list.
 * @Return {string}
 */
var adjective = function () {
    return adjectives_1.adjectives[random(adjectives_1.adjectives.length)];
};
/**
 * @Method: Returns a random color from the words list.
 * @Return {string}
 */
var color = function () {
    return colors_1.colors[random(colors_1.colors.length)];
};
/**
 * @Method: Returns a random animal from the words list.
 * @Return {string}
 */
var animal = function () {
    return animals_1.animals[random(animals_1.animals.length)];
};
/**
 * @Method: Returns a random number between 0 and max
 * @Return {number}
 */
var random = function (max) {
    if (max === void 0) { max = 1; }
    return Math.floor(Math.random() * max);
};
